Subject: Re: linux-next boot error: WARNING: suspicious RCU usage in ipmr_get_table

From: Amol Grover <[email-masked]>
Date: Sat, 9 May 2020 12:15:31 +0530

On Thu, May 07, 2020 at 06:26:01AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Thu, 7 May 2020 06:16:35 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi Qian,
> > 
> > On Tue, 28 Apr 2020 09:56:59 -0400 Qian Cai <[email-masked]> wrote:
> > >  
> > > > On Apr 28, 2020, at 4:57 AM, Dmitry Vyukov <[email-masked]> wrote:    
> > > >> net/ipv4/ipmr.c:136 RCU-list traversed in non-reader section!!    
> > > 
> > > https://lore.kernel.org/netdev/[email-masked]/
> > > 
> > > Never been picked up for a few months due to some reasons. You could probably
> > > need to convince David, Paul, Steven or Linus to unblock the bot or carry patches
> > > on your own?  
> > 
> > Did you resubmit the patch series as Dave Miller asked you to (now that
> > net-next is based on v5.7-rc1+)?
> 
> In any case, I have added the 2 commits in this series to my fixes tree
> from today - I will remove them when some other tree has a solution
> applied.
> 

Hi Stephen

I'll follow up with David regarding this patch series.

Thanks
Amol

> -- 
> Cheers,
> Stephen Rothwell